// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package command

import (
	context "context"
	events "gitlab.com/commonground/xbrp/desq/common/events"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// CommandClient is the client API for Command service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type CommandClient interface {
	// NewPerson adds a command/event to the event store.
	NewPerson(ctx context.Context, in *NewPersonRequest, opts ...grpc.CallOption) (*NewPersonReply, error)
	// PersonNote adds a command/event to the event store.
	PersonNote(ctx context.Context, in *PersonNoteRequest, opts ...grpc.CallOption) (*BasicReply, error)
	// NamenVastgesteld registers name information
	NamenVastgesteld(ctx context.Context, in *events.NamenVastgesteld, opts ...grpc.CallOption) (*BasicReply, error)
	// PersoonIngeschreven
	PersoonIngeschreven(ctx context.Context, in *PersoonIngeschrevenCommand, opts ...grpc.CallOption) (*PersoonIngeschrevenCommandReply, error)
	// BSNToegekend
	BSNToegekend(ctx context.Context, in *events.BSNToegekend, opts ...grpc.CallOption) (*BasicReply, error)
	// WoonadresNLGeregistreerd
	WoonadresNLGeregistreerd(ctx context.Context, in *events.WoonadresNLGeregistreerd, opts ...grpc.CallOption) (*BasicReply, error)
	// NamenGeregistreerd
	NamenGeregistreerd(ctx context.Context, in *events.NamenGeregistreerd, opts ...grpc.CallOption) (*BasicReply, error)
	// GeslachtsaanduidingGeregistreerd
	GeslachtsaanduidingGeregistreerd(ctx context.Context, in *events.GeslachtsaanduidingGeregistreerd, opts ...grpc.CallOption) (*BasicReply, error)
	// Status returns the status of a command as it is being added to the store.
	Status(ctx context.Context, in *StatusRequest, opts ...grpc.CallOption) (*StatusReply, error)
}

type commandClient struct {
	cc grpc.ClientConnInterface
}

func NewCommandClient(cc grpc.ClientConnInterface) CommandClient {
	return &commandClient{cc}
}

func (c *commandClient) NewPerson(ctx context.Context, in *NewPersonRequest, opts ...grpc.CallOption) (*NewPersonReply, error) {
	out := new(NewPersonReply)
	err := c.cc.Invoke(ctx, "/command.Command/NewPerson", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commandClient) PersonNote(ctx context.Context, in *PersonNoteRequest, opts ...grpc.CallOption) (*BasicReply, error) {
	out := new(BasicReply)
	err := c.cc.Invoke(ctx, "/command.Command/PersonNote", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commandClient) NamenVastgesteld(ctx context.Context, in *events.NamenVastgesteld, opts ...grpc.CallOption) (*BasicReply, error) {
	out := new(BasicReply)
	err := c.cc.Invoke(ctx, "/command.Command/NamenVastgesteld", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commandClient) PersoonIngeschreven(ctx context.Context, in *PersoonIngeschrevenCommand, opts ...grpc.CallOption) (*PersoonIngeschrevenCommandReply, error) {
	out := new(PersoonIngeschrevenCommandReply)
	err := c.cc.Invoke(ctx, "/command.Command/PersoonIngeschreven", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commandClient) BSNToegekend(ctx context.Context, in *events.BSNToegekend, opts ...grpc.CallOption) (*BasicReply, error) {
	out := new(BasicReply)
	err := c.cc.Invoke(ctx, "/command.Command/BSNToegekend", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commandClient) WoonadresNLGeregistreerd(ctx context.Context, in *events.WoonadresNLGeregistreerd, opts ...grpc.CallOption) (*BasicReply, error) {
	out := new(BasicReply)
	err := c.cc.Invoke(ctx, "/command.Command/WoonadresNLGeregistreerd", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commandClient) NamenGeregistreerd(ctx context.Context, in *events.NamenGeregistreerd, opts ...grpc.CallOption) (*BasicReply, error) {
	out := new(BasicReply)
	err := c.cc.Invoke(ctx, "/command.Command/NamenGeregistreerd", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commandClient) GeslachtsaanduidingGeregistreerd(ctx context.Context, in *events.GeslachtsaanduidingGeregistreerd, opts ...grpc.CallOption) (*BasicReply, error) {
	out := new(BasicReply)
	err := c.cc.Invoke(ctx, "/command.Command/GeslachtsaanduidingGeregistreerd", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commandClient) Status(ctx context.Context, in *StatusRequest, opts ...grpc.CallOption) (*StatusReply, error) {
	out := new(StatusReply)
	err := c.cc.Invoke(ctx, "/command.Command/Status", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// CommandServer is the server API for Command service.
// All implementations must embed UnimplementedCommandServer
// for forward compatibility
type CommandServer interface {
	// NewPerson adds a command/event to the event store.
	NewPerson(context.Context, *NewPersonRequest) (*NewPersonReply, error)
	// PersonNote adds a command/event to the event store.
	PersonNote(context.Context, *PersonNoteRequest) (*BasicReply, error)
	// NamenVastgesteld registers name information
	NamenVastgesteld(context.Context, *events.NamenVastgesteld) (*BasicReply, error)
	// PersoonIngeschreven
	PersoonIngeschreven(context.Context, *PersoonIngeschrevenCommand) (*PersoonIngeschrevenCommandReply, error)
	// BSNToegekend
	BSNToegekend(context.Context, *events.BSNToegekend) (*BasicReply, error)
	// WoonadresNLGeregistreerd
	WoonadresNLGeregistreerd(context.Context, *events.WoonadresNLGeregistreerd) (*BasicReply, error)
	// NamenGeregistreerd
	NamenGeregistreerd(context.Context, *events.NamenGeregistreerd) (*BasicReply, error)
	// GeslachtsaanduidingGeregistreerd
	GeslachtsaanduidingGeregistreerd(context.Context, *events.GeslachtsaanduidingGeregistreerd) (*BasicReply, error)
	// Status returns the status of a command as it is being added to the store.
	Status(context.Context, *StatusRequest) (*StatusReply, error)
	mustEmbedUnimplementedCommandServer()
}

// UnimplementedCommandServer must be embedded to have forward compatible implementations.
type UnimplementedCommandServer struct {
}

func (UnimplementedCommandServer) NewPerson(context.Context, *NewPersonRequest) (*NewPersonReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method NewPerson not implemented")
}
func (UnimplementedCommandServer) PersonNote(context.Context, *PersonNoteRequest) (*BasicReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method PersonNote not implemented")
}
func (UnimplementedCommandServer) NamenVastgesteld(context.Context, *events.NamenVastgesteld) (*BasicReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method NamenVastgesteld not implemented")
}
func (UnimplementedCommandServer) PersoonIngeschreven(context.Context, *PersoonIngeschrevenCommand) (*PersoonIngeschrevenCommandReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method PersoonIngeschreven not implemented")
}
func (UnimplementedCommandServer) BSNToegekend(context.Context, *events.BSNToegekend) (*BasicReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method BSNToegekend not implemented")
}
func (UnimplementedCommandServer) WoonadresNLGeregistreerd(context.Context, *events.WoonadresNLGeregistreerd) (*BasicReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method WoonadresNLGeregistreerd not implemented")
}
func (UnimplementedCommandServer) NamenGeregistreerd(context.Context, *events.NamenGeregistreerd) (*BasicReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method NamenGeregistreerd not implemented")
}
func (UnimplementedCommandServer) GeslachtsaanduidingGeregistreerd(context.Context, *events.GeslachtsaanduidingGeregistreerd) (*BasicReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GeslachtsaanduidingGeregistreerd not implemented")
}
func (UnimplementedCommandServer) Status(context.Context, *StatusRequest) (*StatusReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Status not implemented")
}
func (UnimplementedCommandServer) mustEmbedUnimplementedCommandServer() {}

// UnsafeCommandServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to CommandServer will
// result in compilation errors.
type UnsafeCommandServer interface {
	mustEmbedUnimplementedCommandServer()
}

func RegisterCommandServer(s grpc.ServiceRegistrar, srv CommandServer) {
	s.RegisterService(&Command_ServiceDesc, srv)
}

func _Command_NewPerson_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(NewPersonRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommandServer).NewPerson(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/command.Command/NewPerson",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommandServer).NewPerson(ctx, req.(*NewPersonRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Command_PersonNote_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PersonNoteRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommandServer).PersonNote(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/command.Command/PersonNote",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommandServer).PersonNote(ctx, req.(*PersonNoteRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Command_NamenVastgesteld_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(events.NamenVastgesteld)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommandServer).NamenVastgesteld(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/command.Command/NamenVastgesteld",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommandServer).NamenVastgesteld(ctx, req.(*events.NamenVastgesteld))
	}
	return interceptor(ctx, in, info, handler)
}

func _Command_PersoonIngeschreven_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PersoonIngeschrevenCommand)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommandServer).PersoonIngeschreven(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/command.Command/PersoonIngeschreven",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommandServer).PersoonIngeschreven(ctx, req.(*PersoonIngeschrevenCommand))
	}
	return interceptor(ctx, in, info, handler)
}

func _Command_BSNToegekend_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(events.BSNToegekend)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommandServer).BSNToegekend(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/command.Command/BSNToegekend",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommandServer).BSNToegekend(ctx, req.(*events.BSNToegekend))
	}
	return interceptor(ctx, in, info, handler)
}

func _Command_WoonadresNLGeregistreerd_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(events.WoonadresNLGeregistreerd)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommandServer).WoonadresNLGeregistreerd(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/command.Command/WoonadresNLGeregistreerd",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommandServer).WoonadresNLGeregistreerd(ctx, req.(*events.WoonadresNLGeregistreerd))
	}
	return interceptor(ctx, in, info, handler)
}

func _Command_NamenGeregistreerd_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(events.NamenGeregistreerd)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommandServer).NamenGeregistreerd(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/command.Command/NamenGeregistreerd",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommandServer).NamenGeregistreerd(ctx, req.(*events.NamenGeregistreerd))
	}
	return interceptor(ctx, in, info, handler)
}

func _Command_GeslachtsaanduidingGeregistreerd_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(events.GeslachtsaanduidingGeregistreerd)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommandServer).GeslachtsaanduidingGeregistreerd(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/command.Command/GeslachtsaanduidingGeregistreerd",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommandServer).GeslachtsaanduidingGeregistreerd(ctx, req.(*events.GeslachtsaanduidingGeregistreerd))
	}
	return interceptor(ctx, in, info, handler)
}

func _Command_Status_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StatusRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommandServer).Status(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/command.Command/Status",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommandServer).Status(ctx, req.(*StatusRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// Command_ServiceDesc is the grpc.ServiceDesc for Command service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var Command_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "command.Command",
	HandlerType: (*CommandServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "NewPerson",
			Handler:    _Command_NewPerson_Handler,
		},
		{
			MethodName: "PersonNote",
			Handler:    _Command_PersonNote_Handler,
		},
		{
			MethodName: "NamenVastgesteld",
			Handler:    _Command_NamenVastgesteld_Handler,
		},
		{
			MethodName: "PersoonIngeschreven",
			Handler:    _Command_PersoonIngeschreven_Handler,
		},
		{
			MethodName: "BSNToegekend",
			Handler:    _Command_BSNToegekend_Handler,
		},
		{
			MethodName: "WoonadresNLGeregistreerd",
			Handler:    _Command_WoonadresNLGeregistreerd_Handler,
		},
		{
			MethodName: "NamenGeregistreerd",
			Handler:    _Command_NamenGeregistreerd_Handler,
		},
		{
			MethodName: "GeslachtsaanduidingGeregistreerd",
			Handler:    _Command_GeslachtsaanduidingGeregistreerd_Handler,
		},
		{
			MethodName: "Status",
			Handler:    _Command_Status_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "command-api/command/command.proto",
}
